<?
class iconlist {
	var $icons = array();
	var $viewType;
	
	function iconlist($tabid) {
		$this->tabid = $tabid;
	}
	
	function setIcon($properties) {
			$this->iconsCount++;
			array_push($this->icons, $properties);
	}
	
	function drawIcon($icon) {
	global $str;
?>
d = {
isdir: <?echo $icon['isdir']?"true":"false";?>,
<?if ($icon['iszip']) {?>
iszip: true,
<?}?>
fsize: <?echo $icon['size']?$icon['size']:0;?>,
ondblclk: '<?echo $str->safeJS($icon['ondblclick']);?>',
input_value: '<?if ($icon['input_value']) {echo $str->safeJS($icon['input_value']);} else {echo $str->safeJS($icon['name']);}?>',
icon_img_src: '<?echo $str->safeJS($icon['icon_img']);?>',
list_img_src: '<?echo $str->safeJS($icon['list_img']);?>',
thumb_img_src: '<?echo $str->safeJS($icon['thumb_img']);?>',
img_title: '<?echo $str->safeJS($icon['name']);?>',
icon_title: '<?echo $str->safeJS($icon['name']);?>',
filetype_descr: '<?echo $str->safeJS($icon['filetypedescription']);?>',
ext: '<?echo $str->safeJS($icon['ext']);?>',
txt: <?echo $icon['txt']?$icon['txt']:0;?>,
extra: <?echo $icon['extra'] ? "'".$str->safeJS($icon['extra'])."'" : 0;?>,
bigthumb: <?echo $icon['bigthumb'] ? true : 0;?>
}
parent.AfianHandler['allTabs']['<?echo $this->tabid?>'].addItem(new parent.Afian_Item(d));
<?
	}
	
}
?>